--- !ruby/object:Gem::Specification 
name: SystemTimer
version: !ruby/object:Gem::Version 
  hash: 25
  prerelease: false
  segments: 
  - 1
  - 2
  - 3
  version: 1.2.3
platform: ruby
authors: 
- Philippe Hanrigou
- David Vollbracht
autorequire: system_timer
bindir: bin
cert_chain: []

date: 2011-03-19 00:00:00 -07:00
default_executable: 
dependencies: []

description: 
email: 
executables: []

extensions: 
- ext/system_timer/extconf.rb
extra_rdoc_files: 
- README
files: 
- COPYING
- LICENSE
- ChangeLog
- ext/system_timer/system_timer_native.c
- ext/system_timer/extconf.rb
- lib/system_timer/concurrent_timer_pool.rb
- lib/system_timer/thread_timer.rb
- lib/system_timer.rb
- lib/system_timer_stub.rb
- test/all_tests.rb
- test/system_timer/concurrent_timer_pool_unit_test.rb
- test/system_timer/thread_timer_test.rb
- test/system_timer_functional_test.rb
- test/system_timer_unit_test.rb
- test/test_helper.rb
- README
has_rdoc: true
homepage: 
licenses: []

post_install_message: 
rdoc_options: 
- --title
- SystemTimer
- --main
- README
- --line-numbers
require_paths: 
- lib
required_ruby_version: !ruby/object:Gem::Requirement 
  none: false
  requirements: 
  - - ">="
    - !ruby/object:Gem::Version 
      hash: 3
      segments: 
      - 0
      version: "0"
required_rubygems_version: !ruby/object:Gem::Requirement 
  none: false
  requirements: 
  - - ">="
    - !ruby/object:Gem::Version 
      hash: 3
      segments: 
      - 0
      version: "0"
requirements: []

rubyforge_project: systemtimer
rubygems_version: 1.3.7
signing_key: 
specification_version: 3
summary: Set a Timeout based on signals, which are more reliable than Timeout. Timeout is based on green threads.
test_files: 
- test/all_tests.rb
